# eric3.UI.AboutDialog

Module implementing an 'About Eric' dialog.

### Classes

AboutDialog | Class implementing an 'About Eric' dialog using the KDE About Dialog.
AboutDialog | Class implementing an 'About Eric' dialog.

### Functions

None

## AboutDialog

Class implementing an 'About Eric' dialog using the KDE About Dialog.

### Derived from

KAboutDialog

### Methods

AboutDialog | Constructor

### AboutDialog (Constructor)

AboutDialog(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

Up

## AboutDialog

Class implementing an 'About Eric' dialog.

### Derived from

AboutForm

### Methods

AboutDialog | Constructor
handleLinkClicked | Private slot to handle the linkClicked signal.

### AboutDialog (Constructor)

AboutDialog(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

### AboutDialog.handleLinkClicked

handleLinkClicked(url)

Private slot to handle the linkClicked signal.

url
  url of the link (QString)

Up